(function () {

  'use strict';

  var csInterface = new CSInterface();   
    
  document.getElementById('btnEzSingle').addEventListener('click', function () {
    csInterface.evalScript('ezGreenScreenSingle(true)');
  });
    
  document.getElementById('btnEzDual').addEventListener('click', function () {
    csInterface.evalScript('ezGreenScreenDual(true)');
  });
    
  document.getElementById('btnEzSingleNoUI').addEventListener('click', function () {
    csInterface.evalScript('ezGreenScreenSingle(false)');
  });
    
  document.getElementById('btnEzDualNoUI').addEventListener('click', function () {
    csInterface.evalScript('ezGreenScreenDual(false)');
  });    
    
  document.getElementById('btnGreenRecover1').addEventListener('click', function () {
    csInterface.evalScript('greenRecover()');
  });       
    
  document.getElementById('btnGreenRecover2').addEventListener('click', function () {
    csInterface.evalScript('addRecoverLayer()');
  });  
 
  document.getElementById('btnContract1').addEventListener('click', function () {
    csInterface.evalScript('contractMask(1)');
  }); 
    
  document.getElementById('btnContract2').addEventListener('click', function () {
    csInterface.evalScript('contractMask(2)');
  });    
    
  document.getElementById('btnSelectAndMask').addEventListener('click', function () {
    csInterface.evalScript('selectAndMaskFG()');
  });     
    
  document.getElementById('btnSelectSubject').addEventListener('click', function () {
    csInterface.evalScript('selectSubject()');
  }); 
    
  document.getElementById('btnDualMaskLevels').addEventListener('click', function () {
    csInterface.evalScript('dualLevels(true)');
  });     
 
  document.getElementById('btnDualMaskLevelsFG').addEventListener('click', function () {
    csInterface.evalScript('dualLevels(false)');
  }); 
    
  document.getElementById('btnMaskLevels').addEventListener('click', function () {
    csInterface.evalScript('singleLevels(true)');
  });     
 
  document.getElementById('btnMaskLevelsFG').addEventListener('click', function () {
    csInterface.evalScript('singleLevels(false)');
  });    
    
  document.getElementById('btnViewMask').addEventListener('click', function () {
    csInterface.evalScript('viewMask()');
  });    
 
  document.getElementById('btnViewComp').addEventListener('click', function () {
    csInterface.evalScript('viewComp()');
  });
    
  document.getElementById('btnViewScreen').addEventListener('click', function () {
    csInterface.evalScript('viewScreen()');
  });       
    
  document.getElementById('btnMergeToSingle').addEventListener('click', function () {
    csInterface.evalScript('mergeToSingle()');
  }); 
    
  document.getElementById('btnMergeFG').addEventListener('click', function () {
    csInterface.evalScript('mergeFG()');
  }); 

  document.getElementById('AutoClearMode').addEventListener('change', function () {
         csInterface.evalScript('checkAutoClearMode("' + AutoClearMode.value + '")', function(retVal) {
         if(retVal=="false"){AutoClearMode.options[0].selected=true;}
      });
      

  });     
       
  document.getElementById('btnAutoMaskCleanup').addEventListener('click', function () {
    validateInputs();  
    csInterface.evalScript('autoMaskCleanup("' + AutoClearMode.value + '","' + cleanupDistance + '")');
  });    
    
function validateInputs(){
    cleanupDistance=Math.round(Number(AutoMaskCleanupInput.value));
    if(isNaN(cleanupDistance)){cleanupDistance=100;}
    if(cleanupDistance<-3){cleanupDistance=-3;}   
    if(cleanupDistance>500){cleanupDistance=500;}
    AutoMaskCleanupInput.value=cleanupDistance;
}    

}());

